- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Protected Member Functions | Friends

# FbxGenericNode Class Reference

Search for all occurrences

## Detailed Description

Empty node containing properties.

Definition at line 28 of file fbxgenericnode.h.

`#include <fbxgenericnode.h>`

Inheritance diagram for FbxGenericNode:
[legend]

List of all members.

## Protected Member Functions
| FbxGenericNode (FbxManager &pManager, char const *pName)
virtual FbxStringList | GetTypeFlags () const
## Friends
class | FbxScene
## Error Management
enum | EErrorCode { eError, eErrorCount }
| Error identifiers. More...
FbxError & | GetError ()
| Retrieve error object.
EErrorCode | GetLastErrorID () const
| Get last error code.
const char * | GetLastErrorString () const
| Get last error string.

## Member Enumeration Documentation

enum EErrorCode

Search for all occurrences

Error identifiers.

- eError
- eErrorCount

Enumerator:

  eError | Search for all occurrences
  eErrorCount | Search for all occurrences

Definition at line 47 of file fbxgenericnode.h.

            {
                eError,
                eErrorCount
            };

## Constructor & Destructor Documentation

FbxGenericNode | ( | FbxManager & | pManager,
|  | char const * | pName
| ) |  | `[protected]`

## Member Function Documentation

FbxError& GetError | ( |  | ) |

Search for all occurrences

Retrieve error object.

Returns:
  Reference to error object.

EErrorCode GetLastErrorID | ( |  | ) | const

Search for all occurrences

Get last error code.

Returns:
  Last error code.

const char* GetLastErrorString | ( |  | ) | const

Search for all occurrences

Get last error string.

Returns:
  Textual description of the last error.

virtual FbxStringList GetTypeFlags | ( |  | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from FbxObject.

## Friends And Related Function Documentation

friend class FbxScene `[friend]`

Search for all occurrences

Reimplemented from FbxObject.

Definition at line 78 of file fbxgenericnode.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxgenericnode.h

FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode
FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode FbxGenericNode